/*======================================================================================
  Tffind_util.h release version 1.1
  Header file for various tffind utilities

  Coded by Matt Weirauch (weirauch@soe.ucsc.edu)
  Aug 11, 2003

  For documentation and source code, see http://globin.cse.psu.edu/ or
					 http://bio.cse.psu.edu/
  ======================================================================================*/


#ifndef TF_UTIL
#define TF_UTIL

#include "tffind.h"

/* subroutines for freeing up memory */
void free_block_list( Block_ptr *b );
void free_item_list( struct ITEM **item_head );
void free_match_list( struct MATCH **match_head );
void free_char_arr( char **arr, int size );
void free_float_arr( float **arr, int size );
void free_int_arr( int **arr, int size );
void free_contig( Contig_ptr contig, int size );
void free_seq( Seq_ptr seq, int size );

/* various utility subroutines */
FILE *ckopen_nk( const char *name, const char *mode );
void error( char *msg, char *buf, int type );
void get_entry( char **string );
void print_invalid_menu_choice( char choice );
void remove_eol( char *s );

#endif
/*======================================================================================*/
